package com.yixin.ms.server.vo;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/8/5 14:18
 * @description:
 */
@Data
@Accessors(chain = true)
public class IrsTripResultVO<T> {
    /**
     * 成功状态码
     */
    public static final String SUCCESS_FLAG = "00";
    /**
     * 验证token失败状态码
     */
    public static final String FAIL_TOKEN_FLAG = "999";
    /**
     * 请求未知异常
     */
    public static final String UNKNOWN_FLAG = "1000";

    private String code;
    private String msg;

    private T datas;

    private String requestId;

    private Integer dataCount;

    private Integer totalDataCount;

    private Integer totalPage;
}
