package com.yixin.ms.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @author: lileilei
 * @date: 2022/6/23 15:31
 * @description:
 */
@Data
@Accessors(chain = true)
public class DeviceScanIdCardDTO {
    @ApiModelProperty("认证 token")
    private String token;

    @ApiModelProperty("设备id")
    private String deviceId;

    @ApiModelProperty("业务流水号（请保证唯 一）")
    private String bizNo;

    @ApiModelProperty("证件号码")
    private String idNumber;

    @ApiModelProperty("证件类型 1-身份证，2-社保卡，3-市民卡")
    private String idType;

    @ApiModelProperty("地理区域")
    private String cityCode = "330100";

}
